Developer docs
Place Hold
POST
/v1/holds
const url = 'https://example.com/v1/holds';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"scope":"decision","decision_id":"example","subject_type":"example","subject_id":"example","reason":"example","placed_by":"example","authority":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/holds \ --header 'Content-Type: application/json' \ --data '{ "scope": "decision", "decision_id": "example", "subject_type": "example", "subject_id": "example", "reason": "example", "placed_by": "example", "authority": "example" }'Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response Place Hold V1 Holds Post
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}